Skip to main content
POST
/
api
/
v1
/
users
/
{user_id}
/
set-delegation-by-admin
SetExpiringUserDelegationBindingByAdmin
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.User.SetExpiringUserDelegationBindingByAdmin(ctx, operations.C1APIUserV1UserServiceSetExpiringUserDelegationBindingByAdminRequest{
        UserID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.SetExpiringUserDelegationBindingByAdminResponse != nil {
        // handle response
    }
}
{
  "item": {
    "createdAt": "2023-11-07T05:31:56Z",
    "delegatedUserId": "<string>",
    "deletedAt": "2023-11-07T05:31:56Z",
    "expirationAt": "2023-11-07T05:31:56Z",
    "startAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "userId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

user_id
string
required

The ID of the user whose tasks will be delegated.

Body

application/json

SetExpiringUserDelegationBindingByAdminRequest is the request for an admin to set a temporary delegation binding for a user.

delegatedUserId
string

The ID of the user who will act as delegate. Empty string removes the delegation.

delegationExpireAt
string<date-time>
delegationStartAt
string<date-time>

Response

200 - application/json

SetExpiringUserDelegationBindingByAdminResponse is the response containing the created or updated delegation binding.

SetExpiringUserDelegationBindingByAdminResponse is the response containing the created or updated delegation binding.

item
Expiring User Delegation Binding · object

The ExpiringUserDelegationBinding message.